You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@kylin.apache.org by ni...@apache.org on 2020/05/12 12:08:17 UTC

[kylin] 11/13: CDH60 "bin/find-hbase-dependency.sh" can not find hbase dependency as expected

This is an automated email from the ASF dual-hosted git repository.

nic pushed a commit to branch 2.6.x-hadoop3.1
in repository https://gitbox.apache.org/repos/asf/kylin.git

commit 2f50f733323ca176b37c9e1b894eb5a32afd15eb
Author: rupengwang <wa...@live.cn>
AuthorDate: Mon Feb 17 21:57:08 2020 +0800

    CDH60 "bin/find-hbase-dependency.sh" can not find hbase dependency as expected
---
 build/bin/find-hbase-dependency.sh | 16 +++++++++++++---
 1 file changed, 13 insertions(+), 3 deletions(-)

diff --git a/build/bin/find-hbase-dependency.sh b/build/bin/find-hbase-dependency.sh
index c98b5ac..b3e4e8f 100755
--- a/build/bin/find-hbase-dependency.sh
+++ b/build/bin/find-hbase-dependency.sh
@@ -23,6 +23,9 @@ echo Retrieving hbase dependency...
 
 hbase_classpath=`hbase classpath`
 
+hadoop version | head -1 | grep cdh6
+is_cdh6=$?
+
 # special handling for Amazon EMR, to prevent re-init of hbase-setenv
 is_aws=`uname -r | grep amzn`
 if [ -n "$is_aws" ] && [ -d "/usr/lib/oozie/lib" ]; then
@@ -42,9 +45,16 @@ done
 
 if [ -z "$hbase_common_path" ]
 then
-    quit "hbase-common lib not found"
+    if [[ $is_cdh6 -ne 0 ]]; then
+    	quit "hbase-common lib not found"
+    fi
+fi
+
+if [[ $is_cdh6 -eq 0 ]]; then
+    hbase_dependency=${hbase_classpath}
+else
+    hbase_dependency=${hbase_common_path}
 fi
 
-hbase_dependency=${hbase_common_path}
 verbose "hbase dependency: $hbase_dependency"
-export hbase_dependency
+export hbase_dependency
\ No newline at end of file